:root {
    --max-width: 900px;
    --border-radius: 8px;
    --border: hsla(0, 0%, 0%, 0.7);
    --pri-color: hsl(231, 75%, 45%);
    --pri-hover: hsl(224, 74%, 59%);
    --hover-shadow: 0px 8px 24px hsla(221, 83%, 66%, 0.4);
}

* {
    font-size: 16px;
    font-family: "Cantata One", serif;
}

body {
    display: flex;
    box-sizing: border;
    justify-content: center;
}

.container {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: fit-content;
    padding: 32px;
    gap: 16px;
    max-width: var(--max-width);
    justify-content: center;

    &.row {
        flex-direction: row;
    }
    &.center {
        align-items: center;
    }
    &.g-48 {
        gap: 48px;
    }
    &.g-8 {
        gap: 8px;
    }
    &.p-0 {
        padding: 0px;
    }
}

main {
    min-height: 80vh;
}

.pri-btn {
    width: fit-content;
    height: fit-content;
    padding: 14px 48px;
    border-radius: var(--border-radius);
    border: 0px;
    background-color: var(--pri-color);
    color: white;
    transition: 0.25s;
    font-weight: 500;
    white-space: nowrap;

    &:hover {
        background-color: var(--pri-hover);
        cursor: pointer;
        box-shadow: var(--hover-shadow);
    }
}

input {
    padding: 12px 12px;
    width: 100%;
    border-radius: var(--border-radius);
    border: 2px solid var(--border);
    transition: 0.25s;


    &:focus {
        box-shadow: var(--hover-shadow);
        outline: none;
        border-color: var(--pri-color);
    }
}

h1 {
    font-size: 2.5rem;
    line-height: 2.7rem;
    font-weight: 500;
    color: hsla(0, 0%, 0%, .8);
}

p {
    color: var(--border);
    font-size: 16px;
    line-height: 24px;
}

.text-center {
    text-align: center;
    align-self: center;
    
}

form {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
    gap: 32px;
}

.icon {
    aspect-ratio: 1;
    width: 96px;
}

.icon-small {
    aspect-ratio: 1;
    width: 48px;

    &.spin {
        animation: spin-animation 1s infinite linear;
    }
}

@keyframes spin-animation{
    0% {
        transform: rotate(360deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

